For the complete documentation index, see llms.txt. This page is also available as Markdown.

현금영수증

현금영수증 발행

post

현금영수증을 발급합니다.

Body

현금 영수증 발생 요청 DTO

apiKeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · max: 60Required

파트너 사용자 코드

Example: partner-user-1
merchantstring · max: 60Required

파트너 매장 코드

Example: partner-merchant-1
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/cash-receipt/issue
POST /cash-receipt/issue HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 304

{
  "apiKey": "partner-api-key",
  "member": "partner-user-1",
  "merchant": "partner-merchant-1",
  "cashReceipt": {
    "billId": "사업자번호-100000001",
    "hash": "a0213f3f9e45e8540e91a1339e0c5deee2dd27c4cb6b039436538c316bb45fa6",
    "price": 10000,
    "supplyPrice": 9000,
    "tax": 1000,
    "issuanceNumber": "01000001234",
    "trader": "text"
  }
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "apiKey": "abcd1234efgh5678",
    "member": "M0001",
    "merchant": "U0001",
    "billId": "CR20260420001",
    "hash": "text",
    "trader": "personal",
    "apprCashNum": 1234567890,
    "issuanceNumber": "01012345678"
  }
}

현금영수증 취소

post

발급된 현금영수증을 발급 취소합니다.

Body
apiKeystring · min: 1 · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · min: 1 · max: 60Required

파트너 사용자 코드

Example: partner-user-1
merchantstring · min: 1 · max: 60Required

파트너 매장 코드

Example: partner-merchant-1
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/cash-receipt/cancel
POST /cash-receipt/cancel HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 243

{
  "apiKey": "partner-api-key",
  "member": "partner-user-1",
  "merchant": "partner-merchant-1",
  "cashReceipt": {
    "billId": "사업자번호-100000001",
    "hash": "a0213f3f9e45e8540e91a1339e0c5deee2dd27c4cb6b039436538c316bb45fa6",
    "price": 10000,
    "trader": "text"
  }
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "apiKey": "abcd1234efgh5678",
    "member": "M0001",
    "merchant": "U0001",
    "billId": "CR20260420001",
    "hash": "text",
    "apprCashNum": 1234567899
  }
}

현금영수증 단건 조회

post

발급된 현금영수증의 정보를 조회합니다.

Body
apiKeystring · min: 1 · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · min: 1 · max: 60Required

파트너 사용자 코드

Example: partner-user-1
merchantstring · min: 1 · max: 60Required

파트너 매장 코드

Example: partner-merchant-1
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/cash-receipt/read
POST /cash-receipt/read HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 227

{
  "apiKey": "partner-api-key",
  "member": "partner-user-1",
  "merchant": "partner-merchant-1",
  "cashReceipt": {
    "billId": "사업자번호-100000001",
    "hash": "a0213f3f9e45e8540e91a1339e0c5deee2dd27c4cb6b039436538c316bb45fa6",
    "price": 10000
  }
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "apiKey": "abcd1234efgh5678",
    "member": "M0001",
    "merchant": "U0001",
    "billId": "CR20260420001",
    "info": [
      {
        "billId": "사업자번호-100000001",
        "apprPrice": 22000,
        "apprSupplyPrice": 20000,
        "apprTax": 2000,
        "trader": "personal",
        "apprNum": 1234567890,
        "apprState": "F",
        "apprDt": 20260420153012,
        "issuanceNumber": "01012345678"
      }
    ]
  }
}

마지막 업데이트

도움이 되었나요?